Katello - Bug #6609

Missing userdata and finish templates for Katello-compatible subscription management
07/15/2014 04:50 AM - Stephen Benjamin

Status: Closed
Priority: Normal
Assignee: Stephen Benjamin
Category: Hosts
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1119657 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/442
8
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1119657

Description of problem:

Katello provides kickstarts but does not provide userdata and finish templates for use with OpenStack and image-based virtaulization
(vmware, libvirt, etc).

Version-Release number of selected component (if applicable):
6.0.3 beta

How reproducible:
Always

Steps to Reproduce:
1. Attempt to provision a cloud-init enabled openstack instance or image-based libvirt instance
2. Machine should be registered to Katello via subscription manager

Actual results:
Machine isn't registered

Expected results:
Machine is registered

Associated revisions

Revision 14¢f77a0 - 07/28/2014 11:03 AM - Stephen Benjamin

fixes #6609 - katello templates for image-based hosts

Revision c03a9e62 - 07/29/2014 11:24 AM - Ivan Necas
Merge pull request #4428 from stbenjam/6609

fixes #6609 - katello templates for image-based hosts

History

#1 - 07/15/2014 12:51 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 49

- Pull request https://github.com/Katello/katello/pull/4428 added
- Pull request deleted ()

#2 - 07/22/2014 02:01 PM - Eric Helms
- Category set to 83

- Assignee set to Stephen Benjamin
https://bugzilla.redhat.com/show_bug.cgi?id=1119657

- Triaged changed from No to Yes

#3 - 07/28/2014 08:46 AM - Eric Helms

- Target version changed from 49 to 54

#4 - 07/29/2014 12:01 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|14cf77a0f80bcfdfb6b801a2b08b74{5{7b7d934.

#5 - 08/22/2014 09:03 AM - Eric Helms

- translation missing: en.field_release set to 13
